r99 - builds/mingw32_on_debian_unstable/gtk_dsound_debug

erik at minisip.org erik at minisip.org
Wed Mar 7 21:24:49 CET 2007


Author: erik
Date: 2007-03-07 21:24:47 +0100 (Wed, 07 Mar 2007)
New Revision: 99

Modified:
   builds/mingw32_on_debian_unstable/gtk_dsound_debug/build.sh
Log:

 * make -j2 -> nice -16 make -j2
  
   A part of the compile (mingw32) was not "nice". The regression testing
   is running in parallell, and we want to be as nice as possible to it
   to make the output as predictable/constant as possible. 

   We apparently have quite alot of randomness in the output of the 
   packet loss test. We should fix it so that the output is always
   the same, but I have seen things that look strange in the output 
   (needs more investigation - could be the randomness in combination
   with the diff output format).



Modified: builds/mingw32_on_debian_unstable/gtk_dsound_debug/build.sh
===================================================================
--- builds/mingw32_on_debian_unstable/gtk_dsound_debug/build.sh	2007-03-07 19:52:36 UTC (rev 98)
+++ builds/mingw32_on_debian_unstable/gtk_dsound_debug/build.sh	2007-03-07 20:24:47 UTC (rev 99)
@@ -36,7 +36,7 @@
 echo "AUTOBUILD_INFO: processing minisip..." >&2
 cd minisip
 
-./bootstrap && ./configure --host=i586-mingw32msvc --build=i686-pc-linux-gnu --disable-static --enable-debug prefix=${PREFIX} CPPFLAGS="-I/usr/i586-mingw32msvc/include -I${CROSS_INCLUDE}" LDFLAGS=-L${CROSS_LIB} && make -j2 && make install || { echo "ERROR: Could not bootstrap/configure/compile/install minisip.exe" >&2 && exit 1 ; }
+./bootstrap && ./configure --host=i586-mingw32msvc --build=i686-pc-linux-gnu --disable-static --enable-debug prefix=${PREFIX} CPPFLAGS="-I/usr/i586-mingw32msvc/include -I${CROSS_INCLUDE}" LDFLAGS=-L${CROSS_LIB} && nice -16 make -j2 && make install || { echo "ERROR: Could not bootstrap/configure/compile/install minisip.exe" >&2 && exit 1 ; }
 
 mkdir -p ${AUTOBUILD_BASE}/binoutput/lib/openssl
 cp $CROSS_LIB/libcrypto.dll ${AUTOBUILD_BASE}/binoutput/lib/openssl/libeay32.dll



More information about the Minisip-devel mailing list